Requests you can copy and run. Each one returns live data from the API.
Select the programming language you want to display the code examples in.
curl -X GET "https://api.houski.ca/properties?api_key=YOUR_API_KEY&city=toronto&country_abbreviation=ca&estimate_days_on_market_until_sale_gt=180&for_sale_eq=true&page=1&province_abbreviation=on&results_per_page=5&select=address,property_type,estimate_list_price,estimate_sale_price,estimate_days_on_market_until_sale,bedroom_total,bathroom_total,interior_sq_m,list_price_vs_estimate"
const houski_recipe_data = async (): Promise<PropertiesResponse> => {
// You must copy the PropertiesResponse type declarations from the
// Houski API documentation to strongly type the response
const url = new URL('https://api.houski.ca/properties');
url.searchParams.set('api_key', 'YOUR_API_KEY');
url.searchParams.set('city', 'toronto');
url.searchParams.set('country_abbreviation', 'ca');
url.searchParams.set('estimate_days_on_market_until_sale_gt', '180');
url.searchParams.set('for_sale_eq', 'true');
url.searchParams.set('page', '1');
url.searchParams.set('province_abbreviation', 'on');
url.searchParams.set('results_per_page', '5');
url.searchParams.set('select', 'address,property_type,estimate_list_price,estimate_sale_price,estimate_days_on_market_until_sale,bedroom_total,bathroom_total,interior_sq_m,list_price_vs_estimate');
const response = await fetch(url);
const data = await response.json();
return data;
}
(async () => {
let data: PropertiesResponse = await houski_recipe_data();
// Log the response
console.log(data);
})();
{
"cache_hit": true,
"cost_cents": 3.65,
"data": [
{
"address": "119 Jay Street",
"bathroom_total": 4,
"bedroom_total": 5,
"estimate_days_on_market_until_sale": 190,
"estimate_list_price": 2136424,
"estimate_sale_price": 2005417,
"interior_sq_m": 325.06503,
"list_price_vs_estimate": 142576,
"property_id": "8277fc94188f80ba",
"property_type": "House"
},
{
"address": "99 Sufi Crescent",
"bathroom_total": 5,
"bedroom_total": 5,
"estimate_days_on_market_until_sale": 224,
"estimate_list_price": 926102,
"estimate_sale_price": 863834,
"interior_sq_m": 139.2605,
"list_price_vs_estimate": -128102,
"property_id": "691cde8d95db9268",
"property_type": "Townhouse"
},
{
"address": "98 Burbank Drive",
"bathroom_total": 8,
"bedroom_total": 7,
"estimate_days_on_market_until_sale": 192,
"estimate_list_price": 3759366,
"estimate_sale_price": 3694812,
"interior_sq_m": 232.16277,
"list_price_vs_estimate": 720634,
"property_id": "64908c25e596ec8d",
"property_type": "House"
},
{
"address": "75 Kenilworth Avenue",
"bathroom_total": 7,
"bedroom_total": 4,
"estimate_days_on_market_until_sale": 231,
"estimate_list_price": 2131694,
"estimate_sale_price": 2379052,
"interior_sq_m": 102.099594,
"list_price_vs_estimate": -531695,
"property_id": "b1b2435c034b2a89",
"property_type": "House"
},
{
"address": "10 Fairbank Avenue",
"bathroom_total": 4,
"bedroom_total": 6,
"estimate_days_on_market_until_sale": 235,
"estimate_list_price": 1245256,
"estimate_sale_price": 1496282,
"interior_sq_m": 267.65143,
"list_price_vs_estimate": -245356,
"property_id": "35d335931a141f0a",
"property_type": "Duplex"
}
],
"error": "",
"pagination": {
"current_page": 1,
"has_next_page": false,
"has_previous_page": false,
"page_total": 1
},
"price_quote": false,
"result_total": 5,
"time_ms": 3464,
"ui_info": {
"city": "Toronto",
"city_id": "6cdbdee2492718ed",
"city_link": "ca/on/toronto",
"city_slug": "toronto",
"country": "Canada",
"country_abbreviation": "CA",
"country_abbreviation_id": "9ace2b6431b7f1be",
"country_abbreviation_link": "ca",
"country_slug": "canada",
"province": "Ontario",
"province_abbreviation": "ON",
"province_abbreviation_id": "146699ee774499d3",
"province_abbreviation_link": "ca/on",
"province_slug": "ontario"
}
}